*AdjustedTotalAggregate.do
#delimit ;
capture log close;
clear;
log using ../log/adjustedtotalaggregate.log, replace;
	set more off;
	set memory 20m;
use ../dta/totalaggregate.dta;
summarize;
sort hhnumber;
merge hhnumber using ../dta/districtpriceindex.dta;
	tabulate _merge;
	drop _merge;
generate exptot_d = exptot/ pr_defl;	
generate expfood_d = expfood/ pr_defl;	
generate expnfood_d = expnfood/ pr_defl;	
label variable exptot_d "Exp - Total Month Hh - Defulated";	

** CLEAN UP AND SAVE THE FILE
;
keep hhnumber exp*;

label data "Total Adjusted Expenditure";
sort hhnumber;
save ../dta/adjustedtotalaggregate.dta, replace;
log close;
exit,clear;
