#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r0.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r0.dct;
label define r0_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_id r0_id;
label define r0_region
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_region r0_region;
label define r0_cluster
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_cluster r0_cluster;
label define r0_household
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_household r0_household;
label define r0_q4a_1d
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_1d r0_q4a_1d;
replace r0_q4a_1d = -2 if (r0_q4a_1d == 97) & (r0_q4a_1d != .);
replace r0_q4a_1d = -1 if (r0_q4a_1d == 98) & (r0_q4a_1d != .);
label define r0_q4a_1m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_1m r0_q4a_1m;
replace r0_q4a_1m = -2 if (r0_q4a_1m == 97) & (r0_q4a_1m != .);
replace r0_q4a_1m = -1 if (r0_q4a_1m == 98) & (r0_q4a_1m != .);
label define r0_q4a_1h
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_1h r0_q4a_1h;
replace r0_q4a_1h = -2 if (r0_q4a_1h == 97) & (r0_q4a_1h != .);
replace r0_q4a_1h = -1 if (r0_q4a_1h == 98) & (r0_q4a_1h != .);
label define r0_q4a_1min
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_1min r0_q4a_1min;
replace r0_q4a_1min = -2 if (r0_q4a_1min == 97) & (r0_q4a_1min != .);
replace r0_q4a_1min = -1 if (r0_q4a_1min == 98) & (r0_q4a_1min != .);
label define r0_q4a_2d
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_2d r0_q4a_2d;
replace r0_q4a_2d = -2 if (r0_q4a_2d == 97) & (r0_q4a_2d != .);
replace r0_q4a_2d = -1 if (r0_q4a_2d == 98) & (r0_q4a_2d != .);
label define r0_q4a_2m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_2m r0_q4a_2m;
replace r0_q4a_2m = -2 if (r0_q4a_2m == 97) & (r0_q4a_2m != .);
replace r0_q4a_2m = -1 if (r0_q4a_2m == 98) & (r0_q4a_2m != .);
label define r0_q4a_2h
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_2h r0_q4a_2h;
replace r0_q4a_2h = -2 if (r0_q4a_2h == 97) & (r0_q4a_2h != .);
replace r0_q4a_2h = -1 if (r0_q4a_2h == 98) & (r0_q4a_2h != .);
label define r0_q4a_2min
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_2min r0_q4a_2min;
replace r0_q4a_2min = -2 if (r0_q4a_2min == 97) & (r0_q4a_2min != .);
replace r0_q4a_2min = -1 if (r0_q4a_2min == 98) & (r0_q4a_2min != .);
label define r0_q4a_3d
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_3d r0_q4a_3d;
replace r0_q4a_3d = -2 if (r0_q4a_3d == 97) & (r0_q4a_3d != .);
replace r0_q4a_3d = -1 if (r0_q4a_3d == 98) & (r0_q4a_3d != .);
label define r0_q4a_3m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_3m r0_q4a_3m;
replace r0_q4a_3m = -2 if (r0_q4a_3m == 97) & (r0_q4a_3m != .);
replace r0_q4a_3m = -1 if (r0_q4a_3m == 98) & (r0_q4a_3m != .);
label define r0_q4a_3h
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_3h r0_q4a_3h;
replace r0_q4a_3h = -2 if (r0_q4a_3h == 97) & (r0_q4a_3h != .);
replace r0_q4a_3h = -1 if (r0_q4a_3h == 98) & (r0_q4a_3h != .);
label define r0_q4a_3min
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q4a_3min r0_q4a_3min;
replace r0_q4a_3min = -2 if (r0_q4a_3min == 97) & (r0_q4a_3min != .);
replace r0_q4a_3min = -1 if (r0_q4a_3min == 98) & (r0_q4a_3min != .);
label define r0_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q5 r0_q5;
replace r0_q5 = -2 if (r0_q5 == 97) & (r0_q5 != .);
replace r0_q5 = -1 if (r0_q5 == 98) & (r0_q5 != .);
label define r0_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q6 r0_q6;
replace r0_q6 = -2 if (r0_q6 == 97) & (r0_q6 != .);
replace r0_q6 = -1 if (r0_q6 == 98) & (r0_q6 != .);
label define r0_q9_1d
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q9_1d r0_q9_1d;
replace r0_q9_1d = -2 if (r0_q9_1d == 97) & (r0_q9_1d != .);
replace r0_q9_1d = -1 if (r0_q9_1d == 98) & (r0_q9_1d != .);
label define r0_q9_1m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q9_1m r0_q9_1m;
replace r0_q9_1m = -2 if (r0_q9_1m == 97) & (r0_q9_1m != .);
replace r0_q9_1m = -1 if (r0_q9_1m == 98) & (r0_q9_1m != .);
label define r0_q10_1hr
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q10_1hr r0_q10_1hr;
replace r0_q10_1hr = -2 if (r0_q10_1hr == 97) & (r0_q10_1hr != .);
replace r0_q10_1hr = -1 if (r0_q10_1hr == 98) & (r0_q10_1hr != .);
label define r0_q10_1mn
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q10_1mn r0_q10_1mn;
replace r0_q10_1mn = -2 if (r0_q10_1mn == 97) & (r0_q10_1mn != .);
replace r0_q10_1mn = -1 if (r0_q10_1mn == 98) & (r0_q10_1mn != .);
label define r0_q11_1hr
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q11_1hr r0_q11_1hr;
replace r0_q11_1hr = -2 if (r0_q11_1hr == 97) & (r0_q11_1hr != .);
replace r0_q11_1hr = -1 if (r0_q11_1hr == 98) & (r0_q11_1hr != .);
label define r0_q11_1mn
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q11_1mn r0_q11_1mn;
replace r0_q11_1mn = -2 if (r0_q11_1mn == 97) & (r0_q11_1mn != .);
replace r0_q11_1mn = -1 if (r0_q11_1mn == 98) & (r0_q11_1mn != .);
label define r0_q9_2d
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q9_2d r0_q9_2d;
replace r0_q9_2d = -2 if (r0_q9_2d == 97) & (r0_q9_2d != .);
replace r0_q9_2d = -1 if (r0_q9_2d == 98) & (r0_q9_2d != .);
label define r0_q9_2m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q9_2m r0_q9_2m;
replace r0_q9_2m = -2 if (r0_q9_2m == 97) & (r0_q9_2m != .);
replace r0_q9_2m = -1 if (r0_q9_2m == 98) & (r0_q9_2m != .);
label define r0_q10_2hr
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q10_2hr r0_q10_2hr;
replace r0_q10_2hr = -2 if (r0_q10_2hr == 97) & (r0_q10_2hr != .);
replace r0_q10_2hr = -1 if (r0_q10_2hr == 98) & (r0_q10_2hr != .);
label define r0_q10_2mn
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q10_2mn r0_q10_2mn;
replace r0_q10_2mn = -2 if (r0_q10_2mn == 97) & (r0_q10_2mn != .);
replace r0_q10_2mn = -1 if (r0_q10_2mn == 98) & (r0_q10_2mn != .);
label define r0_q11_2hr
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q11_2hr r0_q11_2hr;
replace r0_q11_2hr = -2 if (r0_q11_2hr == 97) & (r0_q11_2hr != .);
replace r0_q11_2hr = -1 if (r0_q11_2hr == 98) & (r0_q11_2hr != .);
label define r0_q11_2mn
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q11_2mn r0_q11_2mn;
replace r0_q11_2mn = -2 if (r0_q11_2mn == 97) & (r0_q11_2mn != .);
replace r0_q11_2mn = -1 if (r0_q11_2mn == 98) & (r0_q11_2mn != .);
label define r0_q19
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r0_q19 r0_q19;
replace r0_q19 = -2 if (r0_q19 == 97) & (r0_q19 != .);
replace r0_q19 = -1 if (r0_q19 == 98) & (r0_q19 != .);
label define r0_q19
1 "Male"
2 "Female"
,add;
label values r0_q19 r0_q19;
label define r0_q5
1 "Original selection"
2 "Original sample replacement"
3 "Replacement based on a new dwelling selection procedure"
4 "Roma Over sampling"
,add;
label values r0_q5 r0_q5;
label define r0_q6
1 "Address not found"
2 "Different Household at address"
3 "Not kept confidential"
4 "Worried of consequences"
5 "Family reasons"
6 "Too long"
8 "Household not found/absent"
9 "Refusal without explanation"
10 "Uninhabited dwelling"
,add;
label values r0_q6 r0_q6;
label data "r0: General Information";
generate long r0_hhid = r0_region * 100000 + r0_cluster * 100 + r0_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r0.dta , replace;
log close;
