#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r2.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r2.dct;
label define r2_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_id r2_id;
label define r2_person_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_person_id r2_person_id;
label define r2_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_q1 r2_q1;
replace r2_q1 = -2 if (r2_q1 == 97) & (r2_q1 != .);
replace r2_q1 = -1 if (r2_q1 == 98) & (r2_q1 != .);
label define r2_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_q2 r2_q2;
replace r2_q2 = -2 if (r2_q2 == 97) & (r2_q2 != .);
replace r2_q2 = -1 if (r2_q2 == 98) & (r2_q2 != .);
label define r2_q3_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_q3_y r2_q3_y;
replace r2_q3_y = -2 if (r2_q3_y == 97) & (r2_q3_y != .);
replace r2_q3_y = -1 if (r2_q3_y == 98) & (r2_q3_y != .);
label define r2_q3_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_q3_m r2_q3_m;
replace r2_q3_m = -2 if (r2_q3_m == 97) & (r2_q3_m != .);
replace r2_q3_m = -1 if (r2_q3_m == 98) & (r2_q3_m != .);
label define r2_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_q4 r2_q4;
replace r2_q4 = -2 if (r2_q4 == 97) & (r2_q4 != .);
replace r2_q4 = -1 if (r2_q4 == 98) & (r2_q4 != .);
label define r2_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r2_q5 r2_q5;
replace r2_q5 = -2 if (r2_q5 == 97) & (r2_q5 != .);
replace r2_q5 = -1 if (r2_q5 == 98) & (r2_q5 != .);
label define r2_q1
101 "Sofia City-Regional HQ"
102 "Sofia Region-Regional HQ"
103 "Plovdiv-Regional HQ"
104 "Bourgas-Regional HQ"
105 "Varna-Regional HQ"
106 "Haskovo-Regional HQ"
107 "Montana-Regional HQ"
108 "Lovech-Regional HQ"
109 "Russe-Regional HQ"
202 "Sofia Region-City (exp prov. Cap)"
203 "Plovdiv-City (exp prov. Cap)"
204 "Bourgas-City (exp prov. Cap)"
205 "Varna-City (exp prov. Cap)"
206 "Haskovo-City (exp prov. Cap)"
207 "Montana-City (exp prov. Cap)"
208 "Lovech-City (exp prov. Cap)"
209 "Russe-City (exp prov. Cap)"
302 "Sofia Region-Small Town"
303 "Plovdiv-Small Town"
304 "Bourgas-Small Town"
305 "Varna-Small Town"
306 "Haskovo-Small Town"
307 "Montana-Small Town"
308 "Lovech-Small Town"
309 "Russe-Small Town"
402 "Sofia Region-Village"
403 "Plovdiv-Village"
404 "Bourgas-Village"
405 "Varna-Village"
406 "Haskovo-Village"
407 "Montana-Village"
408 "Lovech-Village"
409 "Russe-Village"
,add;
label values r2_q1 r2_q1;
label define r2_q2
1 "Yes"
2 "No"
,add;
label values r2_q2 r2_q2;
label define r2_q4
101 "Sofia City-Regional HQ"
102 "Sofia Region-Regional HQ"
103 "Plovdiv-Regional HQ"
104 "Bourgas-Regional HQ"
105 "Varna-Regional HQ"
106 "Haskovo-Regional HQ"
107 "Montana-Regional HQ"
108 "Lovech-Regional HQ"
109 "Russe-Regional HQ"
202 "Sofia Region-City (exp prov. Cap)"
203 "Plovdiv-City (exp prov. Cap)"
204 "Bourgas-City (exp prov. Cap)"
205 "Varna-City (exp prov. Cap)"
206 "Haskovo-City (exp prov. Cap)"
207 "Montana-City (exp prov. Cap)"
208 "Lovech-City (exp prov. Cap)"
209 "Russe-City (exp prov. Cap)"
302 "Sofia Region-Small Town"
303 "Plovdiv-Small Town"
304 "Bourgas-Small Town"
305 "Varna-Small Town"
306 "Haskovo-Small Town"
307 "Montana-Small Town"
308 "Lovech-Small Town"
309 "Russe-Small Town"
402 "Sofia Region-Village"
403 "Plovdiv-Village"
404 "Bourgas-Village"
405 "Varna-Village"
406 "Haskovo-Village"
407 "Montana-Village"
408 "Lovech-Village"
409 "Russe-Village"
,add;
label values r2_q4 r2_q4;
label define r2_q5
1 "Work"
2 "Study"
3 "Opportunity"
4 "Family reasons"
6 "Resettled"
7 "Worsen health condition"
,add;
label values r2_q5 r2_q5;
label data "r2: Migration";
generate long r2_hhid = r2_region * 100000 + r2_cluster * 100 + r2_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r2.dta , replace;
log close;
