#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r6_4_3.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r6_4_3.dct;
label define r6_4_3_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_4_3_id r6_4_3_id;
label define r6_4_3_com_code
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_4_3_com_code r6_4_3_com_code;
label define r6_4_3_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_4_3_q1 r6_4_3_q1;
replace r6_4_3_q1 = -2 if (r6_4_3_q1 == 97) & (r6_4_3_q1 != .);
replace r6_4_3_q1 = -1 if (r6_4_3_q1 == 98) & (r6_4_3_q1 != .);
label define r6_4_3_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_4_3_q2 r6_4_3_q2;
replace r6_4_3_q2 = -2 if (r6_4_3_q2 == 97) & (r6_4_3_q2 != .);
replace r6_4_3_q2 = -1 if (r6_4_3_q2 == 98) & (r6_4_3_q2 != .);
label define r6_4_3_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_4_3_q3 r6_4_3_q3;
replace r6_4_3_q3 = -2 if (r6_4_3_q3 == 97) & (r6_4_3_q3 != .);
replace r6_4_3_q3 = -1 if (r6_4_3_q3 == 98) & (r6_4_3_q3 != .);
label define r6_4_3_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_4_3_q4 r6_4_3_q4;
replace r6_4_3_q4 = -2 if (r6_4_3_q4 == 97) & (r6_4_3_q4 != .);
replace r6_4_3_q4 = -1 if (r6_4_3_q4 == 98) & (r6_4_3_q4 != .);
label define r6_4_3_com_code
1 "Building"
2 "Machinery"
3 "Office equipment"
4 "Furniture"
5 "Computers"
6 "Copy machine"
7 "Fax machine"
8 "Medical Equipment"
9 "Other capital equipment"
10 "Car"
11 "Truck"
12 "Bus"
13 "Motorcycle"
14 "Motorboat"
15 "Boats"
16 "Tools"
17 "Push cart"
18 "Other"
,add;
label values r6_4_3_com_code r6_4_3_com_code;
label define r6_4_3_q1
1 "Yes"
2 "No"
,add;
label values r6_4_3_q1 r6_4_3_q1;
label define r6_4_3_q4
1 "State Enterprise"
2 "Coop"
3 "Private Dealer"
4 "State Dealer"
5 "Individual"
6 "Inherited"
7 "Gift"
8 "Other"
,add;
label values r6_4_3_q4 r6_4_3_q4;
label data "r6_4_3: Self Employment-Independent Acitivity 3/3 Business Assets and Durables";
generate long r6_4_3_hhid = r6_4_3_region * 100000 + r6_4_3_cluster * 100 + r6_4_3_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r6_4_3.dta , replace;
log close;
