#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r6_7.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r6_7.dct;
label define r6_7_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_id r6_7_id;
label define r6_7_asset
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_asset r6_7_asset;
label define r6_7_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_q1 r6_7_q1;
replace r6_7_q1 = -2 if (r6_7_q1 == 97) & (r6_7_q1 != .);
replace r6_7_q1 = -1 if (r6_7_q1 == 98) & (r6_7_q1 != .);
label define r6_7_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_q2 r6_7_q2;
replace r6_7_q2 = -2 if (r6_7_q2 == 97) & (r6_7_q2 != .);
replace r6_7_q2 = -1 if (r6_7_q2 == 98) & (r6_7_q2 != .);
label define r6_7_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_q3 r6_7_q3;
replace r6_7_q3 = -2 if (r6_7_q3 == 97) & (r6_7_q3 != .);
replace r6_7_q3 = -1 if (r6_7_q3 == 98) & (r6_7_q3 != .);
label define r6_7_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_q4 r6_7_q4;
replace r6_7_q4 = -2 if (r6_7_q4 == 97) & (r6_7_q4 != .);
replace r6_7_q4 = -1 if (r6_7_q4 == 98) & (r6_7_q4 != .);
label define r6_7_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r6_7_q5 r6_7_q5;
replace r6_7_q5 = -2 if (r6_7_q5 == 97) & (r6_7_q5 != .);
replace r6_7_q5 = -1 if (r6_7_q5 == 98) & (r6_7_q5 != .);
label define r6_7_asset
1 "Tractor"
2 "Trailer"
3 "Plows"
4 "Pick-up truck"
5 "Hay Truck"
6 "Combine"
7 "Plow truck"
8 "Chemical applicator"
9 "Seeder"
10 "Threshing"
11 "Bale press"
12 "Horses, donkeys"
13 "Cart"
15 "milling/cutting machine"
16 "fodder-mill"
17 "tools"
,add;
label values r6_7_asset r6_7_asset;
label define r6_7_q1
1 "Yes"
2 "No"
,add;
label values r6_7_q1 r6_7_q1;
label define r6_7_q4
1 "State Enterprise"
2 "Coop"
3 "Private Dealer"
4 "State Dealer"
5 "Individual"
6 "Inherited"
7 "Gift"
9 "hand-made"
,add;
label values r6_7_q4 r6_7_q4;
label data "r6_7: Agriculture assets";
generate long r6_7_hhid = r6_7_region * 100000 + r6_7_cluster * 100 + r6_7_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r6_7.dta , replace;
log close;
