#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r7_1.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r7_1.dct;
label define r7_1_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_id r7_1_id;
label define r7_1_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q3 r7_1_q3;
replace r7_1_q3 = -2 if (r7_1_q3 == 97) & (r7_1_q3 != .);
replace r7_1_q3 = -1 if (r7_1_q3 == 98) & (r7_1_q3 != .);
label define r7_1_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q4 r7_1_q4;
replace r7_1_q4 = -2 if (r7_1_q4 == 97) & (r7_1_q4 != .);
replace r7_1_q4 = -1 if (r7_1_q4 == 98) & (r7_1_q4 != .);
label define r7_1_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q5 r7_1_q5;
replace r7_1_q5 = -2 if (r7_1_q5 == 97) & (r7_1_q5 != .);
replace r7_1_q5 = -1 if (r7_1_q5 == 98) & (r7_1_q5 != .);
label define r7_1_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q6 r7_1_q6;
replace r7_1_q6 = -2 if (r7_1_q6 == 97) & (r7_1_q6 != .);
replace r7_1_q6 = -1 if (r7_1_q6 == 98) & (r7_1_q6 != .);
label define r7_1_q7
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q7 r7_1_q7;
replace r7_1_q7 = -2 if (r7_1_q7 == 97) & (r7_1_q7 != .);
replace r7_1_q7 = -1 if (r7_1_q7 == 98) & (r7_1_q7 != .);
label define r7_1_q8
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q8 r7_1_q8;
replace r7_1_q8 = -2 if (r7_1_q8 == 97) & (r7_1_q8 != .);
replace r7_1_q8 = -1 if (r7_1_q8 == 98) & (r7_1_q8 != .);
label define r7_1_q9
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r7_1_q9 r7_1_q9;
replace r7_1_q9 = -2 if (r7_1_q9 == 97) & (r7_1_q9 != .);
replace r7_1_q9 = -1 if (r7_1_q9 == 98) & (r7_1_q9 != .);
label define r7_1_q3
101 "Sofia City-Regional HQ"
102 "Sofia Region-Regional HQ"
103 "Plovdiv-Regional HQ"
104 "Bourgas-Regional HQ"
105 "Varna-Regional HQ"
106 "Haskovo-Regional HQ"
107 "Montana-Regional HQ"
108 "Lovech-Regional HQ"
109 "Russe-Regional HQ"
202 "Sofia Region-City (exp prov. Cap)"
203 "Plovdiv-City (exp prov. Cap)"
204 "Bourgas-City (exp prov. Cap)"
205 "Varna-City (exp prov. Cap)"
206 "Haskovo-City (exp prov. Cap)"
207 "Montana-City (exp prov. Cap)"
208 "Lovech-City (exp prov. Cap)"
209 "Russe-City (exp prov. Cap)"
302 "Sofia Region-Small Town"
303 "Plovdiv-Small Town"
304 "Bourgas-Small Town"
305 "Varna-Small Town"
306 "Haskovo-Small Town"
307 "Montana-Small Town"
308 "Lovech-Small Town"
309 "Russe-Small Town"
402 "Sofia Region-Village"
403 "Plovdiv-Village"
404 "Bourgas-Village"
405 "Varna-Village"
406 "Haskovo-Village"
407 "Montana-Village"
408 "Lovech-Village"
409 "Russe-Village"
111 "Russia"
112 "Ukraine"
113 "Turkey"
114 "USA"
115 "Canada"
116 "Germany"
117 "Libya"
118 "Greece"
120 "Portugal"
121 "Egypt"
122 "Norway"
123 "Tunisia"
124 "Syria"
125 "Italy"
126 "Australia"
127 "Israel"
128 "Austria"
,add;
label values r7_1_q3 r7_1_q3;
label define r7_1_q4
1 "Self/ head of household"
2 "Wife/Husband/Partner"
3 "Father/Mother"
4 "Son/Daughter"
5 "Brother/Sister"
6 "Other Relatives"
7 "Not Related"
,add;
label values r7_1_q4 r7_1_q4;
label data "r7_1: Remittances received by the Household";
generate long r7_1_hhid = r7_1_region * 100000 + r7_1_cluster * 100 + r7_1_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r7_1.dta , replace;
log close;
