#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r8_8.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r8_8.dct;
label define r8_8_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_id r8_8_id;
label define r8_8_person_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_person_id r8_8_person_id;
label define r8_8_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q1 r8_8_q1;
replace r8_8_q1 = -2 if (r8_8_q1 == 97) & (r8_8_q1 != .);
replace r8_8_q1 = -1 if (r8_8_q1 == 98) & (r8_8_q1 != .);
label define r8_8_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q2 r8_8_q2;
replace r8_8_q2 = -2 if (r8_8_q2 == 97) & (r8_8_q2 != .);
replace r8_8_q2 = -1 if (r8_8_q2 == 98) & (r8_8_q2 != .);
label define r8_8_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q3 r8_8_q3;
replace r8_8_q3 = -2 if (r8_8_q3 == 97) & (r8_8_q3 != .);
replace r8_8_q3 = -1 if (r8_8_q3 == 98) & (r8_8_q3 != .);
label define r8_8_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q4 r8_8_q4;
replace r8_8_q4 = -2 if (r8_8_q4 == 97) & (r8_8_q4 != .);
replace r8_8_q4 = -1 if (r8_8_q4 == 98) & (r8_8_q4 != .);
label define r8_8_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q5 r8_8_q5;
replace r8_8_q5 = -2 if (r8_8_q5 == 97) & (r8_8_q5 != .);
replace r8_8_q5 = -1 if (r8_8_q5 == 98) & (r8_8_q5 != .);
label define r8_8_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q6 r8_8_q6;
replace r8_8_q6 = -2 if (r8_8_q6 == 97) & (r8_8_q6 != .);
replace r8_8_q6 = -1 if (r8_8_q6 == 98) & (r8_8_q6 != .);
label define r8_8_q7
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q7 r8_8_q7;
replace r8_8_q7 = -2 if (r8_8_q7 == 97) & (r8_8_q7 != .);
replace r8_8_q7 = -1 if (r8_8_q7 == 98) & (r8_8_q7 != .);
label define r8_8_q8
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_8_q8 r8_8_q8;
replace r8_8_q8 = -2 if (r8_8_q8 == 97) & (r8_8_q8 != .);
replace r8_8_q8 = -1 if (r8_8_q8 == 98) & (r8_8_q8 != .);
label define r8_8_q1
1 "Yes"
2 "No"
,add;
label values r8_8_q1 r8_8_q1;
label define r8_8_q2
1 "Child grown up"
2 "Don't know"
3 "Other"
,add;
label values r8_8_q2 r8_8_q2;
label define r8_8_q4
1 "Employer"
2 "Municipality"
3 "Other"
,add;
label values r8_8_q4 r8_8_q4;
label define r8_8_q7
1 "Yes"
2 "No"
,add;
label values r8_8_q7 r8_8_q7;
label data "r8_8: Sumary of child allowances";
generate long r8_8_hhid = r8_8_region * 100000 + r8_8_cluster * 100 + r8_8_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r8_8.dta , replace;
log close;
