#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r8_9.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r8_9.dct;
label define r8_9_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_id r8_9_id;
label define r8_9_ben_code
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_ben_code r8_9_ben_code;
label define r8_9_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q1 r8_9_q1;
replace r8_9_q1 = -2 if (r8_9_q1 == 97) & (r8_9_q1 != .);
replace r8_9_q1 = -1 if (r8_9_q1 == 98) & (r8_9_q1 != .);
label define r8_9_q2_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q2_y r8_9_q2_y;
replace r8_9_q2_y = -2 if (r8_9_q2_y == 97) & (r8_9_q2_y != .);
replace r8_9_q2_y = -1 if (r8_9_q2_y == 98) & (r8_9_q2_y != .);
label define r8_9_q2_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q2_m r8_9_q2_m;
replace r8_9_q2_m = -2 if (r8_9_q2_m == 97) & (r8_9_q2_m != .);
replace r8_9_q2_m = -1 if (r8_9_q2_m == 98) & (r8_9_q2_m != .);
label define r8_9_q3_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q3_y r8_9_q3_y;
replace r8_9_q3_y = -2 if (r8_9_q3_y == 97) & (r8_9_q3_y != .);
replace r8_9_q3_y = -1 if (r8_9_q3_y == 98) & (r8_9_q3_y != .);
label define r8_9_q3_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q3_m r8_9_q3_m;
replace r8_9_q3_m = -2 if (r8_9_q3_m == 97) & (r8_9_q3_m != .);
replace r8_9_q3_m = -1 if (r8_9_q3_m == 98) & (r8_9_q3_m != .);
label define r8_9_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q4 r8_9_q4;
replace r8_9_q4 = -2 if (r8_9_q4 == 97) & (r8_9_q4 != .);
replace r8_9_q4 = -1 if (r8_9_q4 == 98) & (r8_9_q4 != .);
label define r8_9_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q5 r8_9_q5;
replace r8_9_q5 = -2 if (r8_9_q5 == 97) & (r8_9_q5 != .);
replace r8_9_q5 = -1 if (r8_9_q5 == 98) & (r8_9_q5 != .);
label define r8_9_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_9_q6 r8_9_q6;
replace r8_9_q6 = -2 if (r8_9_q6 == 97) & (r8_9_q6 != .);
replace r8_9_q6 = -1 if (r8_9_q6 == 98) & (r8_9_q6 != .);
label define r8_9_ben_code
1 "Guaranteed minimum income"
2 "Other regular monthly payments"
3 "Cash - one-off benefits"
4 "Food"
5 "Clothing Benefits"
6 "Energy benefits"
,add;
label values r8_9_ben_code r8_9_ben_code;
label define r8_9_q1
1 "Yes"
2 "No"
,add;
label values r8_9_q1 r8_9_q1;
label define r8_9_q6
1 "State"
2 "Foundation"
3 "Church"
4 "NGO"
,add;
label values r8_9_q6 r8_9_q6;
label data "r8_9: Family cash and in-kind social benefits";
generate long r8_9_hhid = r8_9_region * 100000 + r8_9_cluster * 100 + r8_9_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r8_9.dta , replace;
log close;
