#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r9_1.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r9_1.dct;
label define r9_1_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_1_id r9_1_id;
label define r9_1_a_code
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_1_a_code r9_1_a_code;
label define r9_1_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_1_q1 r9_1_q1;
replace r9_1_q1 = -2 if (r9_1_q1 == 97) & (r9_1_q1 != .);
replace r9_1_q1 = -1 if (r9_1_q1 == 98) & (r9_1_q1 != .);
label define r9_1_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_1_q2 r9_1_q2;
replace r9_1_q2 = -2 if (r9_1_q2 == 97) & (r9_1_q2 != .);
replace r9_1_q2 = -1 if (r9_1_q2 == 98) & (r9_1_q2 != .);
label define r9_1_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_1_q3 r9_1_q3;
replace r9_1_q3 = -2 if (r9_1_q3 == 97) & (r9_1_q3 != .);
replace r9_1_q3 = -1 if (r9_1_q3 == 98) & (r9_1_q3 != .);
label define r9_1_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_1_q4 r9_1_q4;
replace r9_1_q4 = -2 if (r9_1_q4 == 97) & (r9_1_q4 != .);
replace r9_1_q4 = -1 if (r9_1_q4 == 98) & (r9_1_q4 != .);
label define r9_1_a_code
1 "GAS STOVE"
2 "ELECTRIC STOVE"
3 "REFRIGERATOR"
4 "FREEZER"
5 "AUTOMATIC WASHING MACHINE"
6 "MANUAL WASHING MACHINE"
7 "DRYER"
8 "DISH WASHER"
9 "SEWING MACHINE"
10 "ELECTRIC SEWING MACHINE"
11 "COLOR TV"
12 "VIDEO RECORDER"
13 "PARABOLIC ANTENNA"
14 "STEREO"
15 "RADIO"
16 "PERSONAL COMPUTER"
17 "CAR"
18 "MOTORCYCLE"
19 "OTHER"
,add;
label values r9_1_a_code r9_1_a_code;
label define r9_1_q1
1 "Yes"
2 "No"
,add;
label values r9_1_q1 r9_1_q1;
label data "r9_1: Household durables";
generate long r9_1_hhid = r9_1_region * 100000 + r9_1_cluster * 100 + r9_1_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r9_1.dta , replace;
log close;
