*AdjustedTotalAggregate.do
#delimit ;
capture log close;
clear;
log using K:/BIHS01/Data/STATA/CONSUMPTION/Log/AdjustedTotalAggregate.log, replace;
	set more off;
	set memory 20m;
use K:/BIHS01/Data/STATA/CONSUMPTION/Dta/TotalAggregate.dta;
summarize;
sort hhnumber;
merge hhnumber using K:/BIHS01/Data/STATA/CONSUMPTION/Dta/DistrictPriceIndex.dta;
	tabulate _merge;
	drop _merge;
generate exptot_d = exptot/ pr_defl;	
label variable exptot_d "Exp - Total Month Hh - Defulated";	

** CLEAN UP AND SAVE THE FILE
;
keep hhnumber exp*;

label data "Total Adjusted Expenditure";
sort hhnumber;
save K:/BIHS01/Data/STATA/CONSUMPTION/Dta/AdjustedTotalAggregate.dta, replace;
log close;
exit,clear;
