#delimit ;
clear;
log using K:/BIHS01/Data/STATA/CONSUMPTION/Log/Gitemf.log, replace;
** Create group categories for Food Items
;
input g_item item str8 ditem;
1 101 "MAIZE FL";  
1 102 "WHEAT FL";  
1 103 "BREAD   "; 
1 104 "PASTA   "; 
1 105 "RICE    ";
1 106 "OTHER GR";  
2 201 "BEANS   "; 
2 202 "POTATOES";  
2 203 "CARROTS "; 
2 204 "LENTILS "; 
2 205 "SWT PEAS";  
2 206 "OTHER   "; 
2 301 "TOMATOES";  
2 302 "EGGPLANT";  
2 303 "ONIONS  "; 
2 304 "SQUASH  "; 
2 305 "LEAFY VE";  
2 306 "PEPPERS "; 
2 307 "CABBAGE "; 
2 308 "CUCUMBER";  
2 309 "OTH VEGE";  
3 401 "ORANGES ";
3 402 "APPLES  "; 
3 403 "PEARS   "; 
3 404 "BANANAS "; 
3 405 "NUTS    ";
3 406 "GRAPES  "; 
3 407 "WATERMEL";  
3 408 "MELON   "; 
3 409 "STRAWBER";  
3 410 "CHERRIES";  
3 411 "OTHER FR";  
2 501 "CAN VEGE";  
3 502 "CAN FRUI";  
3 503 "JAMS    ";
3 504 "HONEY   "; 
3 505 "OTHER   "; 
4 601 "VEAL AND";  
4 602 "PORK    ";
4 603 "LAMB    ";
4 604 "CHICKEN/";  
4 605 "SAUSAGES";  
5 606 "EGGS    ";
4 607 "BACON   "; 
4 608 "CAN.MEAT";  
4 609 "GRND.MEA";  
4 610 "OTH MEAT";  
4 701 "FRSH FIS";  
4 702 "FROZ.FIS";  
4 703 "CAN.FISH";  
5 801 "FRSH MLK";  
5 802 "WHTE CHE";  
5 803 "YELL CHE";  
5 804 "YOGURT  "; 
5 805 "POWD MIL";  
5 806 "OTHR MIL";  
6 901 "BUTTER  "; 
6 902 "MARGARIN";  
6 903 "LARD    ";
6 904 "OLIVE OI";  
6 905 "VEG OIL ";
6 906 "OTH OILS";  
8 1101 "SALT    ";
7 1102 "SUGAR   ";  
8 1103 "SPICES  "; 
8 1104 "COFFEE  "; 
8 1105 "TEA     ";
8 1106 "OTH COND";  
8 1201 "SOFT DRI";  
8 1202 "FRUIT JU";  
8 1203 "WATER   ";  
9 1204 "WINE    ";
9 1205 "BEER    ";
9 1206 "BULG LIQ";  
9 1207 "HARD LIQ";  
8 1208 "OTH DRIN";  
8 1301 "PRE FD_H";  
8 1302 "PRE FD_A";  
end;

lab def g_item
    1 "Cereal"
    2 "Veget."
    3 "Fruit "
    4 "Meat F"
    5 "Dairy "
    6 "Fats  "
    7 "Sugar "
    8 "O Food"
    9 "Alcoh ";

lab val g_item g_item;
sort item;
save K:/BIHS01/Data/STATA/CONSUMPTION/Dta/Gitemf.dta, replace;
log close;
exit, clear;
