#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r1.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r1.dct;
label define r1_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_id r1_id;
label define r1_person_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_person_id r1_person_id;
label define r1_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q2 r1_q2;
replace r1_q2 = -2 if (r1_q2 == 97) & (r1_q2 != .);
replace r1_q2 = -1 if (r1_q2 == 98) & (r1_q2 != .);
label define r1_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q3 r1_q3;
replace r1_q3 = -2 if (r1_q3 == 97) & (r1_q3 != .);
replace r1_q3 = -1 if (r1_q3 == 98) & (r1_q3 != .);
label define r1_q4_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q4_y r1_q4_y;
replace r1_q4_y = -2 if (r1_q4_y == 97) & (r1_q4_y != .);
replace r1_q4_y = -1 if (r1_q4_y == 98) & (r1_q4_y != .);
label define r1_q4_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q4_m r1_q4_m;
replace r1_q4_m = -2 if (r1_q4_m == 97) & (r1_q4_m != .);
replace r1_q4_m = -1 if (r1_q4_m == 98) & (r1_q4_m != .);
label define r1_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q5 r1_q5;
replace r1_q5 = -2 if (r1_q5 == 97) & (r1_q5 != .);
replace r1_q5 = -1 if (r1_q5 == 98) & (r1_q5 != .);
label define r1_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q6 r1_q6;
replace r1_q6 = -2 if (r1_q6 == 97) & (r1_q6 != .);
replace r1_q6 = -1 if (r1_q6 == 98) & (r1_q6 != .);
label define r1_q7_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q7_m r1_q7_m;
replace r1_q7_m = -2 if (r1_q7_m == 97) & (r1_q7_m != .);
replace r1_q7_m = -1 if (r1_q7_m == 98) & (r1_q7_m != .);
label define r1_q7_f
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q7_f r1_q7_f;
replace r1_q7_f = -2 if (r1_q7_f == 97) & (r1_q7_f != .);
replace r1_q7_f = -1 if (r1_q7_f == 98) & (r1_q7_f != .);
label define r1_q8
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q8 r1_q8;
replace r1_q8 = -2 if (r1_q8 == 97) & (r1_q8 != .);
replace r1_q8 = -1 if (r1_q8 == 98) & (r1_q8 != .);
label define r1_q9
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q9 r1_q9;
replace r1_q9 = -2 if (r1_q9 == 97) & (r1_q9 != .);
replace r1_q9 = -1 if (r1_q9 == 98) & (r1_q9 != .);
label define r1_q10
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q10 r1_q10;
replace r1_q10 = -2 if (r1_q10 == 97) & (r1_q10 != .);
replace r1_q10 = -1 if (r1_q10 == 98) & (r1_q10 != .);
label define r1_q11
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r1_q11 r1_q11;
replace r1_q11 = -2 if (r1_q11 == 97) & (r1_q11 != .);
replace r1_q11 = -1 if (r1_q11 == 98) & (r1_q11 != .);
label define r1_q10
1 "Work in another part of the country"
2 "Work outside Bulgaria"
3 "Studies"
4 "Vacation/ visiting friends/ relatives"
5 "Institutionalized"
6 "Left for family reasons"
7 "Died"
9 "doing his/her military service"
,add;
label values r1_q10 r1_q10;
label define r1_q11
1 "Yes"
2 "No"
,add;
label values r1_q11 r1_q11;
label define r1_q2
1 "Head"
2 "Wife/Husband"
3 "Son/daughter"
4 "Father/mother"
5 "Sister/brother"
6 "Step-son/step-daughter"
7 "Step-father/step-mother"
8 "Grandchildren"
9 "Grandparents"
10 "Father-in-law/mother-in-law"
11 "Son-in-law/daughter-in-law"
12 "Sister-in-law/brother-in-law"
13 "Nephew/nice"
14 "Uncle/aunt"
15 "Cousin"
16 "Other relative"
17 "Children from another family"
18 "Other non-relative"
19 "renter"
,add;
label values r1_q2 r1_q2;
label define r1_q3
1 "Male"
2 "Female"
,add;
label values r1_q3 r1_q3;
label define r1_q5
1 "Married"
2 "Cohabiting"
3 "Divorced"
4 "Separated"
5 "Widowed"
6 "Never married"
,add;
label values r1_q5 r1_q5;
label define r1_q6
99 "Not in household"
,add;
label values r1_q6 r1_q6;
label define r1_q7_f
88 "Deceased"
99 "Not in household"
,add;
label values r1_q7_f r1_q7_f;
label define r1_q7_m
88 "Deceased"
99 "Not in household"
,add;
label values r1_q7_m r1_q7_m;
label define r1_q8
1 "Yes"
2 "No"
,add;
label values r1_q8 r1_q8;
label data "r1: Household Roster";
generate long r1_hhid = r1_region * 100000 + r1_cluster * 100 + r1_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r1.dta , replace;
log close;
