#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r5_1.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r5_1.dct;
label define r5_1_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_id r5_1_id;
label define r5_1_food_type_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_food_type_id r5_1_food_type_id;
label define r5_1_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q1 r5_1_q1;
replace r5_1_q1 = -2 if (r5_1_q1 == 97) & (r5_1_q1 != .);
replace r5_1_q1 = -1 if (r5_1_q1 == 98) & (r5_1_q1 != .);
label define r5_1_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q2 r5_1_q2;
replace r5_1_q2 = -2 if (r5_1_q2 == 97) & (r5_1_q2 != .);
replace r5_1_q2 = -1 if (r5_1_q2 == 98) & (r5_1_q2 != .);
label define r5_1_q3_a
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q3_a r5_1_q3_a;
replace r5_1_q3_a = -2 if (r5_1_q3_a == 97) & (r5_1_q3_a != .);
replace r5_1_q3_a = -1 if (r5_1_q3_a == 98) & (r5_1_q3_a != .);
label define r5_1_q3_b
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q3_b r5_1_q3_b;
replace r5_1_q3_b = -2 if (r5_1_q3_b == 97) & (r5_1_q3_b != .);
replace r5_1_q3_b = -1 if (r5_1_q3_b == 98) & (r5_1_q3_b != .);
label define r5_1_q3_c
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q3_c r5_1_q3_c;
replace r5_1_q3_c = -2 if (r5_1_q3_c == 97) & (r5_1_q3_c != .);
replace r5_1_q3_c = -1 if (r5_1_q3_c == 98) & (r5_1_q3_c != .);
label define r5_1_q3_d
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q3_d r5_1_q3_d;
replace r5_1_q3_d = -2 if (r5_1_q3_d == 97) & (r5_1_q3_d != .);
replace r5_1_q3_d = -1 if (r5_1_q3_d == 98) & (r5_1_q3_d != .);
label define r5_1_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q4 r5_1_q4;
replace r5_1_q4 = -2 if (r5_1_q4 == 97) & (r5_1_q4 != .);
replace r5_1_q4 = -1 if (r5_1_q4 == 98) & (r5_1_q4 != .);
label define r5_1_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q5 r5_1_q5;
replace r5_1_q5 = -2 if (r5_1_q5 == 97) & (r5_1_q5 != .);
replace r5_1_q5 = -1 if (r5_1_q5 == 98) & (r5_1_q5 != .);
label define r5_1_q5_a
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q5_a r5_1_q5_a;
replace r5_1_q5_a = -2 if (r5_1_q5_a == 97) & (r5_1_q5_a != .);
replace r5_1_q5_a = -1 if (r5_1_q5_a == 98) & (r5_1_q5_a != .);
label define r5_1_q5_b
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q5_b r5_1_q5_b;
replace r5_1_q5_b = -2 if (r5_1_q5_b == 97) & (r5_1_q5_b != .);
replace r5_1_q5_b = -1 if (r5_1_q5_b == 98) & (r5_1_q5_b != .);
label define r5_1_q5_c
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r5_1_q5_c r5_1_q5_c;
replace r5_1_q5_c = -2 if (r5_1_q5_c == 97) & (r5_1_q5_c != .);
replace r5_1_q5_c = -1 if (r5_1_q5_c == 98) & (r5_1_q5_c != .);
label define r5_1_food_type_id
101 "Cereals--Maize flour (Kg)"
102 "Cereals--Wheat flour (Kg)"
103 "Cereals--Bread (Kg)"
104 "Cereals--Pasta (Kg)"
105 "Cereals--Rice (Kg)"
106 "Cereals--Other Grains (buns, rolls) (Kg)"
201 "Pulses, roots and tuberous--Beans (Kg)"
202 "Pulses, roots and tuberous--Potatoes (Kg)"
203 "Pulses, roots and tuberous--Carrots (Kg)"
204 "Pulses, roots and tuberous--Lentils (Kg)"
205 "Pulses, roots and tuberous--Sweet peas (Kg)"
206 "Pulses, roots and tuberous--Other (Kg)"
301 "Vegetables - Fresh--Tomatoes (Kg)"
302 "Vegetables - Fresh--Eggplants (Kg)"
303 "Vegetables - Fresh--Onions (Kg)"
304 "Vegetables - Fresh--Squash (Veg.) (Kg)"
305 "Vegetables - Fresh--Leafy Veg. (Kg)"
306 "Vegetables - Fresh--Peppers (Kg)"
307 "Vegetables - Fresh--Cabbage (Kg)"
308 "Vegetables - Fresh--Cucumbers (Kg)"
309 "Vegetables - Fresh--Other vegetab. (Kg)"
401 "Fruit - Fresh--Oranges, etc. (Kg)"
402 "Fruit - Fresh--Apples (Kg)"
403 "Fruit - Fresh--Pears (Kg)"
404 "Fruit - Fresh--Bananas (Kg)"
405 "Fruit - Fresh--Nuts (Kg)"
406 "Fruit - Fresh--Grapes (Kg)"
407 "Fruit - Fresh--Watermelon (Kg)"
408 "Fruit - Fresh--Melon (Kg)"
409 "Fruit - Fresh--Strawberries (Kg)"
410 "Fruit - Fresh--Cherries (Kg)"
411 "Fruit - Fresh--Other fruits (Kg)"
501 "Canned Fruits and Vegetables--Canned vegetables (Kg)"
502 "Canned Fruits and Vegetables--Canned fruit (Kg)"
503 "Canned Fruits and Vegetables--Jams, etc. (Kg)"
504 "Canned Fruits and Vegetables--Honey (Kg)"
505 "Canned Fruits and Vegetables--Other (Kg)"
601 "Meat and eggs--Veal and Beef (Kg)"
602 "Meat and eggs--Pork (Kg)"
603 "Meat and eggs--Lamb (Kg)"
604 "Meat and eggs--Chicken /Birds (Kg)"
605 "Meat and eggs--Sausages / Sala (Kg)"
606 "Meat and eggs--Eggs (Unit)"
607 "Meat and eggs--Bacon (Kg)"
608 "Meat and eggs--Canned meat (Kg)"
609 "Meat and eggs--Ground meats (Kg)"
610 "Meat and eggs--Other meat (Kg)"
701 "Fish--Fresh fish (Kg)"
702 "Fish--Frozen fish (Kg)"
703 "Fish--Canned fish (Kg)"
801 "Milk and Dairy products--Fresh Milk (l)"
802 "Milk and Dairy products--White Cheese (Kg)"
803 "Milk and Dairy products--Yellow Cheese (Kg)"
804 "Milk and Dairy products--Yogurt (Kg)"
805 "Milk and Dairy products--Powder milk (milk formula) (Kg)"
806 "Milk and Dairy products--Other (Kg)"
901 "Oils and fats--Butter (Kg)"
902 "Oils and fats--Margarine (Kg)"
903 "Oils and fats--Lard (l)"
904 "Oils and fats--Olive oil (l)"
905 "Oils and fats--Veg. Oil (Kg)"
906 "Oils and fats--Other (Kg)"
1101 "Condiments and Spices--Salt (Kg)"
1102 "Condiments and Spices--Sugar (Kg)"
1103 "Condiments and Spices--Spices (Kg)"
1104 "Condiments and Spices--Coffee (Kg)"
1105 "Condiments and Spices--Tea (Kg)"
1106 "Condiments and Spices--Other (Kg)"
1201 "Drinks--Soft drinks (l)"
1202 "Drinks--Fruit juices (l)"
1203 "Drinks--Water (l)"
1204 "Drinks--Wine (l)"
1205 "Drinks--Beer (l)"
1206 "Drinks--Bulgar. Liquor (l)"
1207 "Drinks--Hard liquors (l)"
1208 "Drinks--Other (l)"
1301 "Meals purchased and consumed at home Prepared food--At home (Meals)"
1302 "Meals purchased and consumed at home Prepared food--Not at home (Meals)"
,add;
label values r5_1_food_type_id r5_1_food_type_id;
label define r5_1_q1
1 "Yes"
2 "No"
,add;
label values r5_1_q1 r5_1_q1;
label define r5_1_q2
1 "Week"
2 "Month"
,add;
label values r5_1_q2 r5_1_q2;
label define r5_1_q5
1 "Week"
2 "Month"
,add;
label values r5_1_q5 r5_1_q5;
label data "r5_1: Food Expenditure";
generate long r5_1_hhid = r5_1_region * 100000 + r5_1_cluster * 100 + r5_1_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r5_1.dta , replace;
log close;
