#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r8_10.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r8_10.dct;
label define r8_10_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_10_id r8_10_id;
label define r8_10_rd_code
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_10_rd_code r8_10_rd_code;
label define r8_10_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_10_q1 r8_10_q1;
replace r8_10_q1 = -2 if (r8_10_q1 == 97) & (r8_10_q1 != .);
replace r8_10_q1 = -1 if (r8_10_q1 == 98) & (r8_10_q1 != .);
label define r8_10_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_10_q2 r8_10_q2;
replace r8_10_q2 = -2 if (r8_10_q2 == 97) & (r8_10_q2 != .);
replace r8_10_q2 = -1 if (r8_10_q2 == 98) & (r8_10_q2 != .);
label define r8_10_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_10_q3 r8_10_q3;
replace r8_10_q3 = -2 if (r8_10_q3 == 97) & (r8_10_q3 != .);
replace r8_10_q3 = -1 if (r8_10_q3 == 98) & (r8_10_q3 != .);
label define r8_10_q1
1 "Yes"
2 "No"
,add;
label values r8_10_q1 r8_10_q1;
label define r8_10_rd_code
1 "Income from financial assets"
2 "Income from Partnerships"
3 "Interests from investments and bank accounts"
4 "Interests from loans"
5 "Revenue from Lotteries"
6 "Insurance Payments"
9 "income from selling/renting out immovable property"
10 "income from selling/renting out moveable property"
11 "Amount borrowed last 12 months"
12 "Due monthly payments (credits, hire purchases)"
13 "Mortgage of house"
,add;
label values r8_10_rd_code r8_10_rd_code;
label data "r8_10: Other forms of revenue / debt";
generate long r8_10_hhid = r8_10_region * 100000 + r8_10_cluster * 100 + r8_10_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r8_10.dta , replace;
log close;
