#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r8_3.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r8_3.dct;
label define r8_3_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_id r8_3_id;
label define r8_3_person_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_person_id r8_3_person_id;
label define r8_3_q1_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q1_m r8_3_q1_m;
replace r8_3_q1_m = -2 if (r8_3_q1_m == 97) & (r8_3_q1_m != .);
replace r8_3_q1_m = -1 if (r8_3_q1_m == 98) & (r8_3_q1_m != .);
label define r8_3_q1_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q1_y r8_3_q1_y;
replace r8_3_q1_y = -2 if (r8_3_q1_y == 97) & (r8_3_q1_y != .);
replace r8_3_q1_y = -1 if (r8_3_q1_y == 98) & (r8_3_q1_y != .);
label define r8_3_q2
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q2 r8_3_q2;
replace r8_3_q2 = -2 if (r8_3_q2 == 97) & (r8_3_q2 != .);
replace r8_3_q2 = -1 if (r8_3_q2 == 98) & (r8_3_q2 != .);
label define r8_3_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q3 r8_3_q3;
replace r8_3_q3 = -2 if (r8_3_q3 == 97) & (r8_3_q3 != .);
replace r8_3_q3 = -1 if (r8_3_q3 == 98) & (r8_3_q3 != .);
label define r8_3_q4_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q4_m r8_3_q4_m;
replace r8_3_q4_m = -2 if (r8_3_q4_m == 97) & (r8_3_q4_m != .);
replace r8_3_q4_m = -1 if (r8_3_q4_m == 98) & (r8_3_q4_m != .);
label define r8_3_q4_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q4_y r8_3_q4_y;
replace r8_3_q4_y = -2 if (r8_3_q4_y == 97) & (r8_3_q4_y != .);
replace r8_3_q4_y = -1 if (r8_3_q4_y == 98) & (r8_3_q4_y != .);
label define r8_3_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q5 r8_3_q5;
replace r8_3_q5 = -2 if (r8_3_q5 == 97) & (r8_3_q5 != .);
replace r8_3_q5 = -1 if (r8_3_q5 == 98) & (r8_3_q5 != .);
label define r8_3_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q6 r8_3_q6;
replace r8_3_q6 = -2 if (r8_3_q6 == 97) & (r8_3_q6 != .);
replace r8_3_q6 = -1 if (r8_3_q6 == 98) & (r8_3_q6 != .);
label define r8_3_q7
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q7 r8_3_q7;
replace r8_3_q7 = -2 if (r8_3_q7 == 97) & (r8_3_q7 != .);
replace r8_3_q7 = -1 if (r8_3_q7 == 98) & (r8_3_q7 != .);
label define r8_3_q8
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_3_q8 r8_3_q8;
replace r8_3_q8 = -2 if (r8_3_q8 == 97) & (r8_3_q8 != .);
replace r8_3_q8 = -1 if (r8_3_q8 == 98) & (r8_3_q8 != .);
label define r8_3_q2
1 "Spouse"
2 "Sister/Brother"
3 "Son/Daughter"
4 "Other"
,add;
label values r8_3_q2 r8_3_q2;
label data "r8_3: Survvivor&s pension";
generate long r8_3_hhid = r8_3_region * 100000 + r8_3_cluster * 100 + r8_3_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r8_3.dta , replace;
log close;
