#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r8_4.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r8_4.dct;
label define r8_4_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_id r8_4_id;
label define r8_4_person_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_person_id r8_4_person_id;
label define r8_4_q1
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q1 r8_4_q1;
replace r8_4_q1 = -2 if (r8_4_q1 == 97) & (r8_4_q1 != .);
replace r8_4_q1 = -1 if (r8_4_q1 == 98) & (r8_4_q1 != .);
label define r8_4_q2_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q2_m r8_4_q2_m;
replace r8_4_q2_m = -2 if (r8_4_q2_m == 97) & (r8_4_q2_m != .);
replace r8_4_q2_m = -1 if (r8_4_q2_m == 98) & (r8_4_q2_m != .);
label define r8_4_q2_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q2_y r8_4_q2_y;
replace r8_4_q2_y = -2 if (r8_4_q2_y == 97) & (r8_4_q2_y != .);
replace r8_4_q2_y = -1 if (r8_4_q2_y == 98) & (r8_4_q2_y != .);
label define r8_4_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q3 r8_4_q3;
replace r8_4_q3 = -2 if (r8_4_q3 == 97) & (r8_4_q3 != .);
replace r8_4_q3 = -1 if (r8_4_q3 == 98) & (r8_4_q3 != .);
label define r8_4_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q4 r8_4_q4;
replace r8_4_q4 = -2 if (r8_4_q4 == 97) & (r8_4_q4 != .);
replace r8_4_q4 = -1 if (r8_4_q4 == 98) & (r8_4_q4 != .);
label define r8_4_q5
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q5 r8_4_q5;
replace r8_4_q5 = -2 if (r8_4_q5 == 97) & (r8_4_q5 != .);
replace r8_4_q5 = -1 if (r8_4_q5 == 98) & (r8_4_q5 != .);
label define r8_4_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q6 r8_4_q6;
replace r8_4_q6 = -2 if (r8_4_q6 == 97) & (r8_4_q6 != .);
replace r8_4_q6 = -1 if (r8_4_q6 == 98) & (r8_4_q6 != .);
label define r8_4_q7
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q7 r8_4_q7;
replace r8_4_q7 = -2 if (r8_4_q7 == 97) & (r8_4_q7 != .);
replace r8_4_q7 = -1 if (r8_4_q7 == 98) & (r8_4_q7 != .);
label define r8_4_q8
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r8_4_q8 r8_4_q8;
replace r8_4_q8 = -2 if (r8_4_q8 == 97) & (r8_4_q8 != .);
replace r8_4_q8 = -1 if (r8_4_q8 == 98) & (r8_4_q8 != .);
label define r8_4_q1
1 "Disability 1"
2 "Disability 2"
3 "Disability 3"
,add;
label values r8_4_q1 r8_4_q1;
label define r8_4_q2_m
99 "Always disabled"
,add;
label values r8_4_q2_m r8_4_q2_m;
label define r8_4_q3
0 "Self-employed/Farmer"
1 "Managers and high government officials, and local authorities"
2 "Managers and high party officials, officials of public and other organizations"
3 "Managers of state organizations and enterprises"
4 "Engineering and technical experts"
5 "Agronomists, veterinary, zoological, and forestry experts"
6 "Research and Development Experts"
7 "Managers, lecturers, teachers, etc."
8 "Cultural, arts, and mass communications staff"
9 "Health care, physical education, and sports staff"
10 "Legal Staff"
11 "Security and defense staff"
12 "Financial accounting experts, economists"
13 "Religion"
14 "Other intellectual professions"
15 "Programmers and operators of automatic lines and systems"
16 "Miners and related staff"
17 "Metallurgists, foundry workers, coke production"
18 "Wires, electric, and electronic industry "
19 "Chemical, petrochemical and rubber industry"
20 "Production of construction materials"
21 "Wood yielding"
22 "Wood processing"
23 "Pulp and paper industry"
24 "Glass and china industry"
25 "Textile industry"
26 "Tailoring"
27 "Fur and Leather"
28 "Shoe-making"
29 "Poligraphic industry"
30 "Food processing, soap production, and fodder production"
31 "Energy production"
32 "Construction and operation of forklifts, etc."
33 "Agriculture"
34 "Forestry : preservation and replanting"
35 "Railways"
36 "Automobile and electric transport"
37 "Water transport"
38 "Air transport"
39 "Other transport related professions"
40 "Communications personnel"
41 "Trade personnel (salespeople)"
42 "Public utilities and services personnel"
43 "Janitors, sick-nurses, etc."
44 "Other physical labor related professions"
45 "Unspecified profession (vague job definition)"
46 "student/in the army"
47 "never worked"
48 "unemployed"
,add;
label values r8_4_q3 r8_4_q3;
label define r8_4_q4
1 "Manufacturing/Industry"
2 "Construction"
3 "Agriculture"
4 "Forestry"
5 "Transportation"
6 "Communications"
7 "Trade"
8 "Commercial Services"
9 "Other production activities"
10 "Science\Education"
11 "Arts and Culture"
12 "Health care"
13 "Sports and tourism"
14 "Finance and credit"
15 "Management and administration"
16 "Army and police"
17 "Other non material activities"
,add;
label values r8_4_q4 r8_4_q4;
label data "r8_4: Disability pensions";
generate long r8_4_hhid = r8_4_region * 100000 + r8_4_cluster * 100 + r8_4_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r8_4.dta , replace;
log close;
