#delimit ;
clear ;
set memory 20m;
log using K:\BIHS01\Data\STATA\Convert\LOG\r9_2.log , replace;
infile using K:\BIHS01\Data\STATA\Convert\DCT\r9_2.dct;
label define r9_2_id
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_id r9_2_id;
label define r9_2_q3
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q3 r9_2_q3;
replace r9_2_q3 = -2 if (r9_2_q3 == 97) & (r9_2_q3 != .);
replace r9_2_q3 = -1 if (r9_2_q3 == 98) & (r9_2_q3 != .);
label define r9_2_q4_unit
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q4_unit r9_2_q4_unit;
replace r9_2_q4_unit = -2 if (r9_2_q4_unit == 97) & (r9_2_q4_unit != .);
replace r9_2_q4_unit = -1 if (r9_2_q4_unit == 98) & (r9_2_q4_unit != .);
label define r9_2_q4
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q4 r9_2_q4;
replace r9_2_q4 = -2 if (r9_2_q4 == 97) & (r9_2_q4 != .);
replace r9_2_q4 = -1 if (r9_2_q4 == 98) & (r9_2_q4 != .);
label define r9_2_q5_m
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q5_m r9_2_q5_m;
replace r9_2_q5_m = -2 if (r9_2_q5_m == 97) & (r9_2_q5_m != .);
replace r9_2_q5_m = -1 if (r9_2_q5_m == 98) & (r9_2_q5_m != .);
label define r9_2_q5_y
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q5_y r9_2_q5_y;
replace r9_2_q5_y = -2 if (r9_2_q5_y == 97) & (r9_2_q5_y != .);
replace r9_2_q5_y = -1 if (r9_2_q5_y == 98) & (r9_2_q5_y != .);
label define r9_2_q6
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q6 r9_2_q6;
replace r9_2_q6 = -2 if (r9_2_q6 == 97) & (r9_2_q6 != .);
replace r9_2_q6 = -1 if (r9_2_q6 == 98) & (r9_2_q6 != .);
label define r9_2_q7
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q7 r9_2_q7;
replace r9_2_q7 = -2 if (r9_2_q7 == 97) & (r9_2_q7 != .);
replace r9_2_q7 = -1 if (r9_2_q7 == 98) & (r9_2_q7 != .);
label define r9_2_q8
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q8 r9_2_q8;
replace r9_2_q8 = -2 if (r9_2_q8 == 97) & (r9_2_q8 != .);
replace r9_2_q8 = -1 if (r9_2_q8 == 98) & (r9_2_q8 != .);
label define r9_2_q9
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q9 r9_2_q9;
replace r9_2_q9 = -2 if (r9_2_q9 == 97) & (r9_2_q9 != .);
replace r9_2_q9 = -1 if (r9_2_q9 == 98) & (r9_2_q9 != .);
label define r9_2_q10
 -1 "Don't know"
 -2 "Refusal to answer"
,add;
label values r9_2_q10 r9_2_q10;
replace r9_2_q10 = -2 if (r9_2_q10 == 97) & (r9_2_q10 != .);
replace r9_2_q10 = -1 if (r9_2_q10 == 98) & (r9_2_q10 != .);
label define r9_2_q3
1 "House"
2 "Flat"
3 "Building"
4 "Coop land"
5 "Non use agricultural land"
6 "Non agricultural land"
7 "Garage"
8 "Store house"
9 "Plant"
,add;
label values r9_2_q3 r9_2_q3;
label define r9_2_q4_unit
2 "Square meter"
3 "Decares"
,add;
label values r9_2_q4_unit r9_2_q4_unit;
label define r9_2_q6
1 "Restitution"
2 "Bought"
3 "Given by gov't"
4 "Inherited"
5 "Free"
,add;
label values r9_2_q6 r9_2_q6;
label define r9_2_q9
1 "Yes"
2 "No"
,add;
label values r9_2_q9 r9_2_q9;
label data "r9_2: Real estate asstes";
generate long r9_2_hhid = r9_2_region * 100000 + r9_2_cluster * 100 + r9_2_household;
save K:\BIHS01\Data\STATA\Convert\DTA\r9_2.dta , replace;
log close;
